Subject: NAT behavior for IP ID field

From: John Kristoff <[email-masked]>
Date: Tue, 31 Aug 2010 15:04:44 -0500

I'm trying to locate an RFC that spells out the behavioral
requirements, expectations or guidelines for NAT handling of the IP ID
field, particularly for UDP messages.  Section 3.2.5 in RFC 3235
briefly mentions issues surrounding IP fragmentation and reassembly,
but  it doesn't specifically say if NATs should re-write IDs as a
general rule.

RFC 4787 doesn't seem to address this either.

If this is not written down anywhere, do NATs generally rewrite the ID
field with or without the MF bit set?

For background and reference, I refer you to Steve Bellovin's 'A
Technique for Counting NATted Hosts', particularly section IV.

Thanks for any pointers,

John